#!/bin/ksh

# --- Integer variables
typeset -i serverOK=0
typeset -i counter=0

while [[ $serverOK -eq 0 && $counter -lt 15 ]] ; do
 /usr/afs/bin/bos status localhost -instance fs -localauth | grep "file server running"
 echo $counter
  ((rc=$?))
  if [[ $rc -eq 0 ]] ; then
    echo "\n      ...File server is running!"
    serverOK=1
  else
    (( counter = $counter + 1 ))
    echo "\n      ...File server not yet running, please stand by"
    sleep 1
  fi
done    

