#!/usr/bin/perl

# Ensure JNDI is up and running for the following registered name
$name = "WSsamples\/AccountHome";

$WAS_HOME=$ENV{WAS_HOME};
$JAVA_HOME=$ENV{JAVA_HOME};
$JAVA_EXE=$ENV{JAVA_EXE};
$WAS_CP=$ENV{CLASSPATH};

`cat /dev/null > TriggersPool\/jndi.sema`;
open(SEMA,">TriggersPool\/jndi.sema");
open(JNDI, "$JAVA_EXE -classpath $WAS_CP:TriggersPool TriggersPool/WasJndi iiop://node1:900 $name |");
while (<JNDI>) {
	if ( (/^$name/) && (/:IOR:/) ) {
		print  "$name ACTIVE\n";
#		print SEMA "$name ACTIVE\n";
		print SEMA "WSsamples_AccountHome_ACTIVE";
		last;
	}
}
close(SEMA);

